Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

Upgrading to 5.3.4.5 causes error

 
Reply
   X-Cart forums > X-Cart 5 > General questions (X-Cart 5)
 
Thread Tools Search this Thread
  #1  
Old 02-13-2018, 12:31 PM
 
mcupka mcupka is offline
 

eXpert
  
Join Date: Jan 2013
Posts: 204
 

Default Upgrading to 5.3.4.5 causes error

Hello,

I'm trying to upgrade X-Cart to 5.3.4.5.

My current version is 5.3.2.3, which then asks me to update to 5.3.2.13, then 5.3.4.5.

I've tried to upgrade multiple times now and always get stuck here at the end. Here's the error:
Code:
Deploying store [step 13 of 13], please wait... Run the "Upgrade_PostRebuildActions" plugin... ...Invoke actions for XC\ProductVariants ...Hooks 49/66, Items 0/430 [0%]... An error occurred in your store. ERROR: "0" (code N/A) An exception occurred while executing 'UPDATE xc_product_variants SET variant_id = ? WHERE id = ?' with params ["a7c13520c3b10bcae5ccab17dab5480f-nwcc", 36]: SQLSTATE[22001]: String data, right truncated: 1406 Data too long for column 'variant_id' at row 1

Any ideas what to do or how I can finish this upgrade? Thanks!
Attached Thumbnails
Click image for larger version

Name:	xcart-error.jpg
Views:	69
Size:	118.4 KB
ID:	5088  
Reply With Quote
  #2  
Old 02-14-2018, 08:57 PM
  qualiteam's Avatar 
qualiteam qualiteam is offline
 

X-Guru
  
Join Date: Dec 2010
Posts: 6,373
 

Default Re: Upgrading to 5.3.4.5 causes error

Hello!

I see where it may happen (the productVariants533migrate() function in the v5.3.3.0 upgrade hook), but I'm not sure why it may happen - there is a check that limits variant identifiers to the max length allowed in the database.

You are better to contact our support staff - they can check this right on your server:
https://secure.x-cart.com/
__________________
Alex Solovev,
Qualiteam

---

User manual Video tutorials X-Cart FAQ

You are welcome to press "Thanks" button
if you find this post useful

Click here to learn how to apply patches

X-Cart Extensions
Reply With Quote
  #3  
Old 02-15-2018, 06:24 AM
 
mcupka mcupka is offline
 

eXpert
  
Join Date: Jan 2013
Posts: 204
 

Default Re: Upgrading to 5.3.4.5 causes error

Thanks for the information. I have a ticket in so hopefully that gets answered soon.
Reply With Quote
Reply
   X-Cart forums > X-Cart 5 > General questions (X-Cart 5)


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 08:46 PM.

   

 
X-Cart forums © 2001-2020